=== debian/changelog ===
makedumpfile (1.3.7-2) unstable; urgency=low

  * Cherry-pick upstream commits:
    - [PATCH] BUGFIX: Avoid SIGSEGV when specifying -V option.
      (5b8c2da75cbdb230019a3b956793fb768055b977)
    - [PATCH] Copy correct nr_cpus info to dumpfile during re-filtering.
      (c4f1c98a9827c1c0e41772c1954940fbf1b48048)
  * kdump-tools.init: Don't exit with failure status except for bad
    usage.  This way, even if /etc/default/kdump-tools has USE_KDUMP=1
    but the kernel command line or debug kernels are not set up,
    installation of a new version of the package will not leave it
    unconfigured.  (Closes: #623470)

 -- John Wright <jsw@debian.org>  Tue, 26 Apr 2011 20:05:16 -0700

makedumpfile (1.3.7-1) unstable; urgency=low

  [ John Wright ]
  * New upstream version
  * kdump-config: Clean up kernel command-line argument stripping
  * kdump-tools.init: Remove a stray "$" in the usage statement
    (Closes: #581116)

  [ dave medberry ]
  * kdump-config: Convert 3 log_failure_msg to a log_warning_msg
    (Closes: #594411)

 -- John Wright <jsw@debian.org>  Sun, 17 Apr 2011 21:03:04 -0700
