=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-
-# Figure out the git branch we're on
-branch = $(shell git symbolic-ref HEAD 2>/dev/null | sed s:refs/heads/::)
 
 %:
 	dh $@
@@ -29,29 +26,3 @@
 		mv makedumpfile.8.orig makedumpfile.8; \
 	fi
 	dh_auto_clean
-
-guilt-patches:
-	dh_testdir
-	dh_quilt_unpatch
-	test -d .git
-	test -n '$(branch)'
-
-	# Make sure no guilt patches are applied.  But don't fail if guilt
-	# hasn't been initialized yet.
-	guilt status > /dev/null || guilt init
-	guilt pop -a
-
-	rm -rf .git/patches/$(branch)
-	rsync -av --delete debian/patches/ .git/patches/$(branch)
-	touch .git/patches/$(branch)/status
-
-debian/patches:
-	dh_testdir
-	dh_quilt_unpatch
-	test -d .git
-
-	guilt pop -a
-	rm -rf debian/patches
-	guilt export debian/patches
-
-.PHONY: guilt-patches debian/patches
