=== debian/changelog ===
makedumpfile (1.4.0-1) unstable; urgency=low

  * New upstream version
  * Drop makedumpfile-static package, since makedumpfile depends on
    libebl, which is no longer available statically, and nobody is
    depending on makedumpfile-static anyway

 -- John Wright <jsw@debian.org>  Sun, 22 Jan 2012 16:49:51 -0800
