=== debian/changelog ===
makedumpfile (1.4.3-1) unstable; urgency=low

  [ Louis Bouchard ]
  * Update packaging for upstream version 1.4.3

  [ John Wright ]
  * Add Louis Bouchard to Uploaders.  Thanks!

 -- John Wright <jsw@debian.org>  Sun, 10 Jun 2012 00:34:07 -0700
