=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: John Wright <jsw@debian.org>
-Uploaders: Louis Bouchard <louis@ubuntu.com>
+Uploaders: Louis Bouchard <louis.bouchard@ubuntu.com>
 Standards-Version: 3.8.2
 Build-Depends: debhelper (>= 7.0.50), libelf-dev, libz-dev, libdw-dev (>= 0.141-2ubuntu1), libbz2-dev
 Vcs-Git: git://git.debian.org/collab-maint/makedumpfile.git
