## makedumpfile 1.5.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # makedumpfile
 
-VERSION=1.4.4
-DATE=29 May 2012
+VERSION=1.5.1
+DATE=6 Dec 2012
 
 # Honour the environment variable CC
 ifeq ($(strip $CC),)
@@ -55,6 +55,11 @@
 CFLAGS += -DUSELZO
 endif
 
+ifeq ($(USESNAPPY), on)
+LIBS := -lsnappy $(LIBS)
+CFLAGS += -DUSESNAPPY
+endif
+
 all: makedumpfile
 
 $(OBJ_PART): $(SRC_PART)
