=== debian/changelog ===
makedumpfile (1.5.5-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable (LP: #1277065).  Remaining changes:
    - Build makedumpfile on armel, armhf, ppc64el, and x32.

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 06 Feb 2014 13:56:52 +0100

makedumpfile (1.5.5-2) unstable; urgency=low

  * Drop debug kernel requirement from kdump-config

    [Konstantin Khlebnikov]
    Starting from 2.6.24 kernel provides vmcoreinfo right in vmcore,
    so makedumpfile can produce filtered dumps without vmlinux or slecial vmcoreinfo.
    Closes: #638849

  * debian/kdump-config : Define Timestamp only once in variable and reuse

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Wed, 15 Jan 2014 10:29:34 +0100

makedumpfile (1.5.5-1) unstable; urgency=low

  [ Louis Bouchard ]
  * New upstream version
    - Reworked debian/patches to use DEP3
    - Use install statement from upstream Makefile

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 19 Dec 2013 11:31:10 +0100

makedumpfile (1.5.4-1ubuntu2) trusty; urgency=low

  * 0003-powerpc-vmap_area_list.patch: Apply patch from RedHat to add
    vmap_area_list definitions on powerpc and ppc64 to fix the FTBFS.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 04 Nov 2013 22:21:00 -0700

makedumpfile (1.5.4-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build makedumpfile on armel, armhf, ppc64el, and x32.
  * Stop trying to build on arm64 until upstream supports it.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 04 Nov 2013 14:04:29 -0700

makedumpfile (1.5.4-1) unstable; urgency=low

  [Louis Bouchard]
  * New upstream version

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 16 Jul 2013 16:05:09 +0200

makedumpfile (1.5.3-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build makedumpfile on armel, armhf, arm64, and x32.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 26 May 2013 06:20:29 -0600
