=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: makedumpfile
 Section: devel
 Priority: optional
-Maintainer: John Wright <jsw@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: John Wright <jsw@debian.org>
 Uploaders: Louis Bouchard <louis.bouchard@ubuntu.com>
-Standards-Version: 3.8.2
-Build-Depends: debhelper (>= 7.0.50), libelf-dev, libz-dev, libdw-dev (>= 0.141-2ubuntu1),
-		 libbz2-dev, dh-systemd (>=1.5)
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 7.0.50), libelf-dev, libz-dev, libdw-dev (>= 0.141-2ubuntu1), libbz2-dev
 Vcs-Git: git://git.debian.org/collab-maint/makedumpfile.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/makedumpfile.git;a=summary
 
 Package: makedumpfile
-Architecture: i386 amd64 powerpc ia64 lpia
+Architecture: i386 amd64 powerpc ia64 lpia x32 armel armhf ppc64el
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
 Recommends: crash, kexec-tools
 Replaces: kdump-tools (<< 1.3.4-1~)
