=== debian/changelog ===
makedumpfile (1.5.6-2ubuntu1) utopic; urgency=medium

  * kdump-config: load kdump kernel from vmlinux too (LP: #1324544)

 -- Mauricio Faria de Oliveira <mauricfo@linux.vnet.ibm.com>  Sat, 13 Sep 2014 13:34:02 -0300

makedumpfile (1.5.6-2) unstable; urgency=medium

  * [ Juerg Haefliger <juerg.haefliger@hp.com> ]
    Make the dumping of dmesg configurable

    Dumping the dmesg buffer has shown to be problematic when kernels
    change. This patch introduces a new config variable that can turn
    the dmesg dump off.  The default behaviour unchanged, i.e., the
    dmesg buffer is dumped.
    Closes: 747173

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Fri, 23 May 2014 12:33:24 +0200

makedumpfile (1.5.6-1) unstable; urgency=medium

  [ Louis Bouchard ]
  * New upstream version

  * Add x32 armel armhf and ppa64el to Achitecture to close the delta with
    Ubuntu

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 29 Apr 2014 16:07:03 +0200
