=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: makedumpfile
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: John Wright <jsw@debian.org>
+Maintainer: John Wright <jsw@debian.org>
 Uploaders: Louis Bouchard <louis.bouchard@ubuntu.com>
 Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 7.0.50), libelf-dev, libz-dev, libdw-dev (>= 0.141-2ubuntu1), libbz2-dev
