## makedumpfile 1.5.7

=== debian/changelog ===
makedumpfile (1:1.5.7-5) experimental; urgency=medium

  * Fix panic_on_oops erratic handling
    Closes: #776582

  [ Hari Bathini <hbathini@linux.vnet.ibm.com> ]
  * Add firmware assisted dump support
    Closes: #776574, LP: #1415562

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 30 Jan 2015 14:04:47 +0100

makedumpfile (1:1.5.7-4) experimental; urgency=medium

  * Enable kdump-tools to work as a systemd service

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 04 Dec 2014 17:45:43 +0100

makedumpfile (1.5.7-3) unstable; urgency=medium

  [Mauricio Faria de Oliveira <mauricfo@linux.vnet.ibm.com>]
  * Add possibility to find vmlinux for ppc64el arch
    Closes: #763688

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Fri, 14 Nov 2014 15:56:15 +0100

makedumpfile (1.5.7-2) unstable; urgency=medium

  [Lee Schermerhorn]
  * Add '-F' [flatten] to makedumpefile args for remote kdump vi ssh.
    Closes: #768317

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 10 Nov 2014 16:51:04 +0100

makedumpfile (1.5.7-1) unstable; urgency=medium

  * New upstream version includes :
    - Show the memory usage of 1st kernel : Add the new option 
      "--mem-usage" to show the memory usage at a given moment 
      in 1st kernel. This will be helpful to estimate the 
      appropriate storage size to store a filtered dumpfile,
      thanks Baoquan.

    -  hugepage filtering : Both THPs and hugetlbfs pages are now 
       excluded as user pages.  As for hugetlbfs, this feature 
       will be enabled for linux-3.16 or later.

    -  Support new kernels
       The supported kernel is updated to 3.16 in this version.

  * Debian specific enhancements :
    - Networked kernel dumps
      The kdump-tools script is now able to send the output of
      makedumpfile to a remote server using either SSH or NFS
      protocols.
    - Add myself as the new maintainer

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 18 Sep 2014 13:21:55 +0200
