=== debian/changelog ===
makedumpfile (1:1.5.8-4) sid; urgency=medium

  * Add cherry-pick of commits b859e0a, f1cea98, 3cc296c, 70ce1a2, 
    0423186 and 9e18e42 that were missed between 1.5.7-5 and 1.5.8-1
    (Closes: #793485)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 27 Jul 2015 16:23:48 +0200

makedumpfile (1:1.5.8-3) sid; urgency=medium

  * Makes sysVinit script execution contitional to the 
    use of upstart. Closes: 789058

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Wed, 17 Jun 2015 15:10:42 +0200

makedumpfile (1:1.5.8-2) sid; urgency=medium

  * Add upstart job for systems supporting upstart
   Closes: 788313

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 09 Jun 2015 11:11:02 +0200

makedumpfile (1:1.5.8-1) sid; urgency=medium

  * New upstream version includes :
    o Fair I/O workload assignment for --split
    - Add the new option "--splitblock-size" to specify the permissible
      difference of each splitted dumpfile size. Please note that the
      difference can be larger than the specified size since this feature
      doesn't care about zero page filtering.

    o Make incomplete dumpfile readable
    - DUMP_DH_COMPRESSED_INCOMPLETE or DUMP_ELF_INCOMPLETE flag will be set
      in the header of dumpfiles if ENOSPC occurs. The flags make crash utility
      attempt analyzing the dumpfile even it is known to be incomplete.

    o Support new kernels
    - The supported kernel is updated to 3.19 in this version.
 
    Changelog:
    o New feature
         - [PATCH v2] Get MODULES_VADDR by KERNEL_IMAGE_SIZE for x86_64. 
           (by Baoquan He) 56649f7
         - [PATCH v4 1/4] Make get_elf64_phdr()/get_elf32_phdr() public. 
           (by Wang Xiao) 3182be9
         - [PATCH v4 2/4] Make the incomplete dumpfile generated by ENOSPC 
           error analyzable.
           (by Wang Xiao) e39216f
         - [PATCH v4 3/4] Implementation of dealing with kdump-compressed 
           dumpfile with ENOSPC error. (by Wang Xiao) 76025d3
         - [PATCH v4 4/4] Fix reassemble_kdump_header(). 
           (by Zhou Wenjian) 45a1885
         - [PATCH v3] Enable --mem-usage for s390x. 
           (by Michael Holzheu) 2e452d7
         - [PATCH v5 1/5] Add support for splitblock. 
           (by Zhou Wenjian) c7825d4
         - [PATCH v5 2/5] Add tools for reading and writing from splitblock 
           table.  (by Zhou Wenjian) 11dcbfe
         - [PATCH v5 3/5] Add module of generating table.
           (by Zhou Wenjian) 28e367c
         - [PATCH v5 4/5] Add module of calculating start_pfn and end_pfn in 
           each dumpfile.
           (by Zhou Wenjian) 2b74c02
         - [PATCH v5 5/5] Add support for --splitblock-size. 
           (by Zhou Wenjian) 3352179
         - [PATCH] sadump: Support more than 16TB physical memory space. 
           (by HATAYAMA Daisuke) 37afcd5
     
     o Bugfix
         - [PATCH] Use file offset in initialize_mmap().
           (by Petr Tesarik) f822608
     
     o Cleanup
         - [PATCH] Initialize symbols early for old kernels. 
           (by Atsushi Kumagai) 99850a1
         - [PATCH v2] Introduce stub method for machine dependent parts. 
           (by Atsushi Kumagai) bf0bbf9
         - [PATCH] Read vmcoreinfo as early as possible. 
           (by Atsushi Kumagai) 21631da
         - [PATCH] Bring get_kcore_dump_loads() backward. 
           (by Atsushi Kumagai) c1d9e15
         - [PATCH 1/2] Add description of elf dump file. 
           (by Zhou Wenjian) 4074bb6
         - [PATCH 2/2] Add description of incomplete dump file. 
           (by Zhou Wenjian) b343067
         - [PATCH] Cleanup: Add some comments for ELF format. 
           (by Atsushi Kumagai) 4a59bd6
         - [PATCH 1/2] Modify the description of the dump level. 
           (by Atsushi Kumagai) 3599df6
         - [PATCH 2/2] Change the part of the pfn counter for page cache. 
           (by Atsushi Kumagai) 7b55569
         - [PATCH v3 1/7] cache: get rid of search loop in cache_add(). 
           (by Petr Tesarik) e068ea2
         - [PATCH v3 2/7] cache: allow to return a page to the pool. 
           (by Petr Tesarik) f2b30c6
         - [PATCH v3 3/7] cache: do not allocate from the pending list. 
           (by Petr Tesarik) ff592e6
         - [PATCH v3 4/7] cache: add hit/miss statistics to the final report.  
           (by Petr Tesarik) 7405a60
         - [PATCH v3 5/7] cache: allocate buffers in one big chunk. 
           (by Petr Tesarik) 65899d0
         - [PATCH v3 6/7] cache: allow arbitrary size of cache entries. 
           (by Petr Tesarik) 5881f23
         - [PATCH v3 7/7] cache: store mapped regions directly in the cache.  
           (by Petr Tesarik) 1acd75f
         - [PATCH] Update email addresses of mainteners. 
           (by Atsushi Kumagai) febff05

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 28 Apr 2015 11:38:27 +0200
