=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with=systemd
+
+override_dh_auto_build:
+	dh_auto_build -- LINKTYPE=dynamic
 
 override_dh_installinit:
 	# Start right after syslog is available, and don't bother stopping
